> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical HBAR price data (minutely)

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /stats/hbarHistoricalPrices
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /stats/hbarHistoricalPrices:
    get:
      tags:
        - Stats
      summary: Get historical HBAR price data (minutely)
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: from
          in: query
          required: true
          schema:
            type: integer
            example: 1697600000
            description: From unix seconds
        - name: to
          in: query
          required: true
          schema:
            type: integer
            example: 1697610000
            description: To unix seconds
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    priceUsd:
                      type: number
                      description: HBAR price in USD
                      example: 0.04830379666666667
                    timestampSeconds:
                      type: integer
                      description: Unix timestamp in seconds
                      example: 1697599980
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.

````